Upload Document
Documents
Upload Document
Upload a document. To use it in a case, pass its ID in a Case or Check create request.
Allowed file types: PDF, PNG, JPG, CSV, XLSX, DOCX, MD.
POST
Upload Document
Authorizations
OAuth2 access token obtained from POST /api/oauth/token/ using client credentials.
Body
Write serializer for Document upload.
Base64 encoded file content. Allowed file types: PDF, PNG, JPG, CSV, XLSX, DOCX, MD. Maximum size: 40 MB.
Maximum string length:
255ID of the case
ID of the check
Number of days until deletion. Use 0 for immediate deletion, or -1 for indefinite retention (never delete). Defaults to -1.
Response
201 - application/json
Read-only serializer for Document.
Base64 encoded file content.
Maximum string length:
255Days until deletion. -1 means never delete.
Required range:
-2147483648 <= x <= 2147483647
